Skip to main content
POST
/
api
/
v1
/
nodes
/
{nodeId}
/
runs
Start a run
curl --request POST \
  --url https://api.melius.com/api/v1/nodes/{nodeId}/runs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-team-id: <api-key>' \
  --data '
{
  "canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "textPrompt": "<string>",
  "outputDuration": 1,
  "seed": 1073741823,
  "numVariations": 5,
  "generateAudio": true,
  "negativePrompt": "<string>",
  "imageUrls": [
    "<string>"
  ],
  "elevenLabsVoiceId": "<string>",
  "customVoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "elevenLabsVoiceSettings": {
    "speed": 2.125,
    "stability": 0.5,
    "similarityBoost": 0.5,
    "style": 0.5,
    "speakerBoost": true,
    "removeBackgroundNoise": true
  }
}
'
import requests

url = "https://api.melius.com/api/v1/nodes/{nodeId}/runs"

payload = {
"canvasId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"textPrompt": "<string>",
"outputDuration": 1,
"seed": 1073741823,
"numVariations": 5,
"generateAudio": True,
"negativePrompt": "<string>",
"imageUrls": ["<string>"],
"elevenLabsVoiceId": "<string>",
"customVoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"elevenLabsVoiceSettings": {
"speed": 2.125,
"stability": 0.5,
"similarityBoost": 0.5,
"style": 0.5,
"speakerBoost": True,
"removeBackgroundNoise": True
}
}
headers = {
"Authorization": "Bearer <token>",
"x-team-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'x-team-id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
canvasId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
textPrompt: '<string>',
outputDuration: 1,
seed: 1073741823,
numVariations: 5,
generateAudio: true,
negativePrompt: '<string>',
imageUrls: ['<string>'],
elevenLabsVoiceId: '<string>',
customVoiceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
elevenLabsVoiceSettings: {
speed: 2.125,
stability: 0.5,
similarityBoost: 0.5,
style: 0.5,
speakerBoost: true,
removeBackgroundNoise: true
}
})
};

fetch('https://api.melius.com/api/v1/nodes/{nodeId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"approvalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"message": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}
{
"message": "<string>"
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>",
"retryAfterSeconds": 123
}

Authorizations

Authorization
string
header
required

A Melius API key (mel_...), sent as Authorization: Bearer <key>.

x-team-id
string
header
required

The team (workspace) to act on. Defaults to the key's team when omitted.

Path Parameters

nodeId
string<uuid>
required

Body

application/json

Body

canvasId
string<uuid>
textPrompt
string
modelConfig
object
outputAspectRatio
enum<string>
Available options:
21:9,
16:9,
4:3,
5:4,
3:2,
1:1,
2:3,
3:4,
4:5,
9:16,
9:21
outputDuration
integer
Required range: x > 0
outputResolution
Available options:
360p,
480p,
540p,
580p,
720p,
1080p,
1440p,
2160p,
4k,
0.5K,
1K,
2K,
4K,
1k,
2k
seed
integer
Required range: 0 <= x <= 2147483647
numVariations
integer
Required range: 1 <= x <= 10
generateAudio
boolean
negativePrompt
string
imageUrls
string<uri>[]
Maximum array length: 15
elevenLabsVoiceId
string
Minimum string length: 1
customVoiceId
string<uuid>
elevenLabsVoiceSettings
object

Response

201

id
string<uuid>
required
Last modified on July 9, 2026